# Get Thing Data Session Status

## Get Thing data session status

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thing/status?ThingIds=ThingId_ICCID_{ICCID}`

#### Path Parameters

| Name                 | Type   | Description                                    |
| -------------------- | ------ | ---------------------------------------------- |
| \&limit=50\&offset=0 | String | You can add a limit and offset to the url path |
| ICCID                | String | The ICCID of your SIM                          |

#### Headers

| Name        | Type   | Description               |
| ----------- | ------ | ------------------------- |
| YOUR\_TOKEN | String | Your authentication token |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
  "Message": "string",
  "Success": true,
  "Data": [
    {
      "CustomerId": "string",
      "ThingId": "string",
      "ThingName": "string",
      "ThingDescription": "string",
      "ProvisionStatus": "string",
      "ActiveIMSI": "string",
      "LastConnectionTime": "string",
      "LastDisconnectionTime": "string",
      "MSISDN": "string",
      "ActiveSessions": {
        "ActiveSessionId": "string",
        "ApnName": "string",
        "IPAddress": "string",
        "LastConnectedTime": 0,
        "UplinkThroughput": 0,
        "DownlinkThroughput": 0
      }
    }
  ]
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid Input Data" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server Error" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Add your **Thing ICCID** and **Token** in the GET request to successfully obtain the Thing info.
{% endhint %}

### Example using **cURL**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thing/status?ThingIds=ThingId_ICCID_{ICCID}&limit=50&offset=0" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}"
```

Example of received result showing Thing current data session status:

```json
{
  "Success": true,
  "Message": "Operation succeeded",
  "Data": [
    {
      "ThingId": "ThingId_ICCID_8912372646888991",
      "CustomerId": "cid_c256463da-742-491b-911b-8850177ef5121",
      "ThingName": "ICCID 8912372646888991",
      "ThingDescription": "Operator's inventor (not associated with any customer)",
      "ProvisionStatus": "ACTIVE",
      "ConnectionStatus": "CONNECTED",
      "ActiveSessions": [],
      "ActiveIMSI": "123456789101112",
      "LastConnectionTime": null,
      "LastDisconnectionTime": null,
      "MSISDN": "+4420412389916"
    }
  ]
}
```

{% hint style="info" %}
Data session connection status explained:

**CONNECTED** - SIM currently has open data session (PDP)

**DISCONNECTED** - SIM currently does not have open data session (PDP)
{% endhint %}

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thing/status" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/get-thing-data-session-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
